- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# bTreeHeader Struct Reference

`#include <btreeheader.h>`

## Data Fields
off_t | firstDeleted
off_t | firstNodeOffset
char | paddington [4068]
uInt32 | treeDepth
uInt32 | treeLeafCount
uInt32 | treeWidth

## Detailed Description

Definition at line 4 of file btreeheader.h.

## Field Documentation

off_t bTreeHeader::firstDeleted

Definition at line 9 of file btreeheader.h.

Referenced by bTree::bTree(), bTree::Insert(), bTree::Save(), and UbixFS::vfs_format().

off_t bTreeHeader::firstNodeOffset

Definition at line 8 of file btreeheader.h.

Referenced by bTree::bTree(), bTree::Insert(), bTree::Save(), and UbixFS::vfs_format().

char bTreeHeader::paddington[4068]

Definition at line 10 of file btreeheader.h.

uInt32 bTreeHeader::treeDepth

Definition at line 5 of file btreeheader.h.

Referenced by bTree::bTree(), bTree::Info(), bTree::Insert(), bTree::splitNode(), UbixFS::vfs_format(), and bTree::~bTree().

uInt32 bTreeHeader::treeLeafCount

Definition at line 7 of file btreeheader.h.

Referenced by bTree::bTree(), bTree::Info(), bTree::Insert(), UbixFS::vfs_format(), and bTree::~bTree().

uInt32 bTreeHeader::treeWidth

Definition at line 6 of file btreeheader.h.

Referenced by bTree::bTree(), bTree::Info(), bTree::Insert(), UbixFS::vfs_format(), and bTree::~bTree().

The documentation for this struct was generated from the following file:

- src/sys/ubixfsv2/btreeheader.h